Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface UserAgent

All Known Implementing Classes:
  AbstractJSVGComponent.BridgeUserAgent, AbstractJSVGComponent.BridgeUserAgentWrapper, JSVGCanvas.CanvasUserAgent, SVGAbstractTranscoder.SVGAbstractTranscoderUserAgent, UserAgentAdapter

    public interface UserAgent

An interface that provides access to the User Agent informations needed by the bridge.

Method Summary
`void` | `checkLoadExternalResource(ParsedURL resourceURL, ParsedURL docURL)` This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded.
`void` | `checkLoadScript(String scriptType, ParsedURL scriptURL, ParsedURL docURL)` This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded.
`void` | `deselectAll()` Informs the user agent that the text selection should be cleared.
`void` | `displayError(Exception ex)` Displays an error resulting from the specified Exception.
`void` | `displayMessage(String message)` Displays a message in the User Agent interface.
`String` | `getAlternateStyleSheet()` Returns this user agent's alternate style-sheet title.
`float` | `getBolderFontWeight(float f)` Returns a bolder font-weight.
`org.w3c.dom.svg.SVGDocument` | `getBrokenLinkDocument(Element e, String url, String message)` This method should return an image to be displayed when an image can't be loaded.
`Point` | `getClientAreaLocationOnScreen()` Returns the location on the screen of the client area in the UserAgent.
`String` | `getDefaultFontFamily()` Returns the default font family.
`EventDispatcher` | `getEventDispatcher()` Returns the event dispatcher to use.
`ExternalResourceSecurity` | `getExternalResourceSecurity(ParsedURL resourceURL, ParsedURL docURL)` Returns the security settings for the given resource url and document url
`String` | `getLanguages()` Returns the language settings.
`float` | `getLighterFontWeight(float f)` Returns a lighter font-weight.
`String` | `getMedia()` Returns this user agent's CSS media.
`float` | `getMediumFontSize()` Returns the medium font size.
`float` | `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`ScriptSecurity` | `getScriptSecurity(String scriptType, ParsedURL scriptURL, ParsedURL docURL)` Returns the security settings for the given script type, script url and document url
`AffineTransform` | `getTransform()` Returns the `AffineTransform` currently applied to the drawing by the UserAgent.
`String` | `getUserStyleSheetURI()` Returns the user stylesheet uri.
`Dimension2D` | `getViewportSize()` Returns the default size of the viewport.
`String` | `getXMLParserClassName()` Returns the class name of the XML parser.
`void` | `handleElement(Element elt, Object data)` Notifies the UserAgent that the input element has been found in the document.
`boolean` | `hasFeature(String s)` Tells whether the given feature is supported by this user agent.
`boolean` | `isXMLParserValidating()` Returns true if the XML parser must be in validation mode, false otherwise.
`void` | `openLink(org.w3c.dom.svg.SVGAElement elt)` Opens a link.
`void` | `registerExtension(BridgeExtension ext)` Lets the bridge tell the user agent that the following extension is supported by the bridge.
`void` | `setSVGCursor(Cursor cursor)` Informs the user agent to change the cursor.
`void` | `setTextSelection(Mark start, Mark end)` Informs the user agent that the text selection has changed.
`void` | `setTransform(AffineTransform at)` Sets the `AffineTransform` currently applied to the drawing by the UserAgent.
`void` | `showAlert(String message)` Shows an alert dialog box.
`boolean` | `showConfirm(String message)` Shows a confirm dialog box.
`String` | `showPrompt(String message)` Shows a prompt dialog box.
`String` | `showPrompt(String message, String defaultValue)` Shows a prompt dialog box.
`boolean` | `supportExtension(String s)` Tells whether the given extension is supported by this user agent.

Method Detail

### getEventDispatcher

    EventDispatcher getEventDispatcher()

  Returns the event dispatcher to use.

### getViewportSize

    Dimension2D getViewportSize()

  Returns the default size of the viewport.

### displayError

    void displayError(Exception ex)

  Displays an error resulting from the specified Exception.

### displayMessage

    void displayMessage(String message)

  Displays a message in the User Agent interface.

### showAlert

    void showAlert(String message)

  Shows an alert dialog box.

### showPrompt

    String showPrompt(String message)

  Shows a prompt dialog box.

### showPrompt

    String showPrompt(String message,
                      String defaultValue)

  Shows a prompt dialog box.

### showConfirm

    boolean showConfirm(String message)

  Shows a confirm dialog box.

### getPixelUnitToMillimeter

    float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

### getPixelToMM

    float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  See Also:
    `getPixelUnitToMillimeter()`

### getMediumFontSize

    float getMediumFontSize()

  Returns the medium font size.

### getLighterFontWeight

    float getLighterFontWeight(float f)

  Returns a lighter font-weight.

### getBolderFontWeight

    float getBolderFontWeight(float f)

  Returns a bolder font-weight.

### getDefaultFontFamily

    String getDefaultFontFamily()

  Returns the default font family.

### getLanguages

    String getLanguages()

  Returns the language settings.

### getUserStyleSheetURI

    String getUserStyleSheetURI()

  Returns the user stylesheet uri.

  Returns:
    null if no user style sheet was specified.

### openLink

    void openLink(org.w3c.dom.svg.SVGAElement elt)

  Opens a link.

  Parameters:
    `elt` - The activated link element.

### setSVGCursor

    void setSVGCursor(Cursor cursor)

  Informs the user agent to change the cursor.

  Parameters:
    `cursor` - the new cursor

### setTextSelection

    void setTextSelection(Mark start,
                          Mark end)

  Informs the user agent that the text selection has changed.

  Parameters:
    `start` - The Mark for the start of the selection.
    `end` - The Mark for the end of the selection.

### deselectAll

    void deselectAll()

  Informs the user agent that the text selection should be cleared.

### getXMLParserClassName

    String getXMLParserClassName()

  Returns the class name of the XML parser.

### isXMLParserValidating

    boolean isXMLParserValidating()

  Returns true if the XML parser must be in validation mode, false otherwise.

### getTransform

    AffineTransform getTransform()

  Returns the `AffineTransform` currently applied to the drawing by the UserAgent.

### setTransform

    void setTransform(AffineTransform at)

  Sets the `AffineTransform` currently applied to the drawing by the UserAgent.

### getMedia

    String getMedia()

  Returns this user agent's CSS media.

### getAlternateStyleSheet

    String getAlternateStyleSheet()

  Returns this user agent's alternate style-sheet title.

### getClientAreaLocationOnScreen

    Point getClientAreaLocationOnScreen()

  Returns the location on the screen of the client area in the UserAgent.

### hasFeature

    boolean hasFeature(String s)

  Tells whether the given feature is supported by this user agent.

### supportExtension

    boolean supportExtension(String s)

  Tells whether the given extension is supported by this user agent.

### registerExtension

    void registerExtension(BridgeExtension ext)

  Lets the bridge tell the user agent that the following extension is supported by the bridge.

### handleElement

    void handleElement(Element elt,
                       Object data)

  Notifies the UserAgent that the input element has been found in the document. This is sometimes called, for example, to handle <a> or <title> elements in a UserAgent-dependant way.

### getScriptSecurity

    ScriptSecurity getScriptSecurity(String scriptType,
                                     ParsedURL scriptURL,
                                     ParsedURL docURL)

  Returns the security settings for the given script type, script url and document url

  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the script was found.

### checkLoadScript

    void checkLoadScript(String scriptType,
                         ParsedURL scriptURL,
                         ParsedURL docURL)
                         throws SecurityException

  This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadScript on the ScriptSecurity strategy returned by getScriptSecurity.

  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the script was found.
  Throws:
    `SecurityException`

### getExternalResourceSecurity

    ExternalResourceSecurity getExternalResourceSecurity(ParsedURL resourceURL,
                                                         ParsedURL docURL)

  Returns the security settings for the given resource url and document url

  Parameters:
    `resourceURL` - url for the resource, as defined in the resource's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the resource was found.

### checkLoadExternalResource

    void checkLoadExternalResource(ParsedURL resourceURL,
                                   ParsedURL docURL)
                                   throws SecurityException

  This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadExternalResource on the ExternalResourceSecurity strategy returned by getExternalResourceSecurity.

  Parameters:
    `resourceURL` - url for the resource, as defined in the resource's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the resource was found.
  Throws:
    `SecurityException`

### getBrokenLinkDocument

    org.w3c.dom.svg.SVGDocument getBrokenLinkDocument(Element e,
                                                      String url,
                                                      String message)

  This method should return an image to be displayed when an image can't be loaded. If it returns 'null' then a BridgeException will be thrown.

  Parameters:
    `e` - The <image> element that can't be loaded.
    `url` - The resolved url that can't be loaded.
    `message` - As best as can be determined the reason it can't be loaded (not available, corrupt, unknown format, ...).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.